# Uses of Class
org.apache.qpid.proton.amqp.transport.Open

Packages that use Open
Package
Description
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec.transport
org.apache.qpid.proton.engine.impl

## Uses of Open in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return Open
Modifier and Type
Method
Description
`Open`
Open.`copy()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Open
Modifier and Type
Method
Description
`void`
FrameBody.FrameBodyHandler.`handleOpen(Open open, Binary payload, E context)`
Constructors in org.apache.qpid.proton.amqp.transport with parameters of type Open
Modifier
Constructor
Description
``
`Open(Open other)`

## Uses of Open in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return Open
Modifier and Type
Method
Description
`Open`
OpenType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.transport that return types with arguments of type Open
Modifier and Type
Method
Description
`Class<Open>`
OpenType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.transport with parameters of type Open
Modifier and Type
Method
Description
`protected List`
OpenType.`wrap(Open val)`
Constructors in org.apache.qpid.proton.codec.transport with parameters of type Open
Modifier
Constructor
Description
``
`OpenWrapper(Open open)`

## Uses of Open in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type Open
Modifier and Type
Method
Description
`void`
TransportImpl.`handleOpen(Open open, Binary payload, Integer channel)`